"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _path = _interopRequireDefault(require("path"));

var _helperPluginUtils = require("@babel/helper-plugin-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _default = (0, _helperPluginUtils.declare)(function (_ref, _ref2) {
  var assertVersion = _ref.assertVersion,
      t = _ref.types;
  var _ref2$test = _ref2.test,
      pattern = _ref2$test === void 0 ? /\.css$/ : _ref2$test;
  assertVersion(7);
  return {
    visitor: {
      /**
       * @param {nodePathType} path - babel path
       * @param {object} options - babel options
       * @param {object} options.file - babel file options
       * @param {object} options.file.opts - babel opts options
       * @param {string} options.file.opts.filename - babel filename option
       */
      CallExpression: function CallExpression(path, _ref3) {
        var filename = _ref3.file.opts.filename;
        if (!t.isIdentifier(path.get('callee').node, {
          name: 'require'
        }) || !pattern.test(path.get('arguments.0').node.value)) return;
        path.get('arguments.0').replaceWith(t.conditionalExpression(t.memberExpression(t.identifier('globalThis'), t.identifier('window')), t.stringLiteral(path.get('arguments.0').node.value), t.stringLiteral(_path["default"].relative(_path["default"].dirname(filename), _path["default"].resolve(__dirname, './emptyCssFile.js')))));
      }
    }
  };
});

exports["default"] = _default;
module.exports = exports.default;